Sign In

Supported Browsers

We recommend using a supported browser to have the best user experience across Dyn’s platforms. In general, Dyn supports the current and prior major release of Chrome, Firefox, Safari, and Internet Explorer on a rolling basis.

The following browsers are supported:

  • Google Chrome: Version 22+
  • Firefox: Version 27+
  • Internet Explorer: Version 11+
  • Safari: Version 9 (OSX 10.9)
  • iOS Safari: iOS 5
  • Android: Android 5.0

We don’t test Opera, but believe the most recent stable version works well across our sites and applications.

You’ll still have a good user experience on IE9 or IE10, but accessing account.dyn.com, cart.dyn.com, or portal.dyn.com will require a supported browser version. We do not support IE8. We make our best effort to make our applications and sites accessible to screen readers and usable on mobile devices.